# WWW::ManageWP

[![Build Status](https://travis-ci.org/shaneutt/p5-www-managewp.svg?branch=master)](https://travis-ci.org/shaneutt/p5-www-managewp.svg?branch=master)

API Client for "ManageWP", a tool to manage Wordpress sites from one dashboard (https://managewp.com).

# SYNOPSIS

This client is still in early stages, and there will be packages added in
the versions to come to add better wrapping around the ManageWP API.

API Documentation: http://managewp.com/docs/api/#documentation

```
Create the object:

	my $managewp = WWW::ManageWP->new(apiKEY => $apiKEY, apiURL => $apiURL);

Call methods manually:

	my $users = $managewp->get(method => 'users/list');

	my $plans = $managewp->get(method => 'plans/list');

Call simple methods:

	my $register_response = $managewp->register_user(user_email => 'test@example.com');

	my $autologin = $managewp->autologin_user(user_email => 'test@example.com');

	my $changeplan_response = $managewp->change_plan(
		user_email => 'test@example.com',
		plan_id    => $plan_id,
	);

	my $removal_response = $managewp->remove_user(user_email => 'test@example.com');

	my $users = $managewp->list_users;
```
